import 'package:flutter/material.dart';
import 'package:test_app/person.dart';

class DetailPage extends StatelessWidget {
  final Person person;

  DetailPage({@required this.person});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Application / Detail Page'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
                '${person.name}, ${person.age}'
            ),
            SizedBox(
              height: 10,
            ),
            RaisedButton(
              child: Text('메인 페이지'),
              color: Colors.orange,
              onPressed: () {
                Navigator.pop(context, 'OK');
              },
            )
          ],
        ),
      ),
    );
  }
}